package com.example.civilizedcity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.VerticalAlignmentEnum;
import com.example.civilizedcity.common.excel.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.net.URL;
import java.time.LocalDateTime;

@ContentRowHeight(100)
@ContentStyle(verticalAlignment = VerticalAlignmentEnum.CENTER)
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "导出问题单", description = "")
public class IssueExport {

    @ColumnWidth(24)
    @ExcelProperty(value = "问题单号", index = 0)
    @ApiModelProperty(name = "问题ID", notes = "")
    private Integer issueId;


    @ColumnWidth(30)
    @ExcelProperty(value = "上报日期", index = 1, converter = LocalDateTimeConverter.class)
    @ApiModelProperty(name = "创建时间", notes = "")
    private LocalDateTime createDate;

    @ColumnWidth(30)
    @ExcelProperty(value = "点位", index = 2)
    @ApiModelProperty(name = "点位名称", notes = "")
    private String locName;

    @ColumnWidth(50)
    @ExcelProperty(value = "位置", index = 3)
    @ApiModelProperty(name = "具体位置", notes = "")
    private String addr;

    @ColumnWidth(80)
    @ExcelProperty(value = "问题详情", index = 4)
    @ApiModelProperty(name = "问题详情", notes = "")
    private String content;

    @ColumnWidth(40)
    @ExcelProperty(value = "责任单位", index = 5)
    @ApiModelProperty(name = "责任单位", notes = "")
    private String orgId;

    @ColumnWidth(20)
    @ExcelProperty(value = "流程状态", index = 6)
    @ApiModelProperty(name = "流程节点", notes = "")
    private String processNode;

    @ColumnWidth(30)
    @ExcelProperty(value = "截止时间", index = 7)
    @ApiModelProperty(name = "截止时间", notes = "YYYY-MM-DD")
    private String expireDate;

    @ColumnWidth(30)
    @ExcelProperty(value = "交办次数", index = 8)
    @ApiModelProperty(name = "交办次数", notes = "")
    private Integer processNum;

    @ColumnWidth(30)
    @ExcelProperty(value = "问题图片", index = 9)
    @ApiModelProperty(name = "问题图片", notes = "")
    private URL url1;

    @ColumnWidth(30)
    @ExcelProperty(value = "问题图片", index = 10)
    @ApiModelProperty(name = "问题图片", notes = "")
    private URL url2;

    @ColumnWidth(30)
    @ExcelProperty(value = "问题图片", index = 11)
    @ApiModelProperty(name = "问题图片", notes = "")
    private URL url3;

    @ColumnWidth(30)
    @ExcelProperty(value = "问题图片", index = 12)
    @ApiModelProperty(name = "问题图片", notes = "")
    private URL url4;

    @ColumnWidth(30)
    @ExcelProperty(value = "问题图片", index = 13)
    @ApiModelProperty(name = "问题图片", notes = "")
    private URL url5;

    @ColumnWidth(30)
    @ExcelProperty(value = "处理结果图片", index = 14)
    @ApiModelProperty(name = "处理结果图片", notes = "")
    private URL url6;

    @ColumnWidth(30)
    @ExcelProperty(value = "处理结果图片", index = 15)
    @ApiModelProperty(name = "处理结果图片", notes = "")
    private URL url7;

    @ColumnWidth(30)
    @ExcelProperty(value = "处理结果图片", index = 16)
    @ApiModelProperty(name = "处理结果图片", notes = "")
    private URL url8;

    @ColumnWidth(30)
    @ExcelProperty(value = "处理结果图片", index = 17)
    @ApiModelProperty(name = "处理结果图片", notes = "")
    private URL url9;

    @ColumnWidth(30)
    @ExcelProperty(value = "处理结果图片", index = 18)
    @ApiModelProperty(name = "处理结果图片", notes = "")
    private URL url10;
}
